/**
 *  Copyright (C) 2010-2019 The Catrobat Team
 *  (http://developer.catrobat.org/credits)
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as
 *  published by the Free Software Foundation, either version 3 of the
 *  License, or (at your option) any later version.
 *
 *  An additional term exception under section 7 of the GNU Affero
 *  General Public License, version 3, is available at
 *  (http://developer.catrobat.org/license_additional_term)
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU Affero General Public License for more details.
 *
 *  You should have received a copy of the GNU Affero General Public License
 *  along with this program.  If not, see http://www.gnu.org/licenses/.
 */

#import <UIKit/UIKit.h>

@interface UIColor (CatrobatUIColorExtensions)

+ (UIColor*)globalTintColor;

+ (UIColor*)utilityTintColor;

+ (UIColor*)navBarColor;

+ (UIColor*)navTintColor;

+ (UIColor*)navTextColor;

+ (UIColor*) toolBarColor;

+ (UIColor*) toolTintColor;

+ (UIColor*) tabBarColor;

+ (UIColor*) tabTintColor;

+ (UIColor*) buttonTintColor;

+ (UIColor*) textTintColor;

+ (UIColor*) buttonHighlightedTintColor;

+ (UIColor*) destructiveTintColor;

+ (UIColor*) backgroundColor;

+ (UIColor*)  whiteGrayColor;

+ (UIColor*)  textViewBorderGrayColor;

// FE

+ (UIColor*)formulaEditorOperatorColor;

+ (UIColor*)formulaEditorHighlightColor;

+ (UIColor*)formulaEditorOperandColor;

+ (UIColor*)formulaEditorBorderColor;

+ (UIColor*)formulaButtonTextColor;

// Bricks & Scripts Colors

+ (UIColor*)brickSelectionBackgroundColor;

+ (UIColor*)lookBrickGreenColor;

+ (UIColor*)lookBrickStrokeColor;

+ (UIColor*)motionBrickBlueColor;

+ (UIColor*)motionBrickStrokeColor;

+ (UIColor*)controlBrickOrangeColor;

+ (UIColor*)controlBrickStrokeColor;

+ (UIColor*)varibaleBrickRedColor;

+ (UIColor*)variableBrickStrokeColor;

+ (UIColor*)soundBrickVioletColor;

+ (UIColor*)soundBrickStrokeColor;

+ (UIColor*)PhiroBrickColor;

+ (UIColor*)PhiroBrickStrokeColor;

+ (UIColor*)ArduinoBrickColor;

+ (UIColor*)ArduinoBrickStrokeColor;

@end
